<?php // Do not delete these lines
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

        if (!empty($post->post_password)) { // if there's a password
            if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
				?>

				<p class="nocomments">This post is password protected. Enter the password to view comments.<p>

				<?php
				return;
            }
        }

		/* This variable is for alternating comment background */
		$oddcomment = 'alt';
?>

<!-- You can start editing here. -->
<?php if ($comments) : ?>
	<div id="comments">
		<h2><?php comments_number('No comments as yet','1 person has left a comment','% people have left comments'); ?></h2>


		<?php foreach ($comments as $comment) : ?>
		<div class="comment">
			<a name="<?php comment_ID(); ?>" id="<?php comment_ID(); ?>" ></a>
			
			<div><img src="<?php bloginfo('template_url'); ?>/images/comment_top.gif" width="461" height="8" alt="" /></div>

			<div class="commenttext">
				<?php comment_text() ?>
			</div>

			<div><img src="<?php bloginfo('template_url'); ?>/images/comment_bottom.gif" width="461" height="20" alt="" /></div>
			<div class="data"><span class="poster"><strong><?php comment_author() ?></strong></span> wrote on <?php comment_date() ?> - <?php comment_time() ?> |  <a href="<?php comment_author_url(); ?>" target="_blank">Visit Link</a></div>
		</div>

		
		<div class="spacer"><img src="<?php bloginfo('template_url'); ?>/images/spacer.gif" width="1" height="1" alt="" /></div>

		<?php endforeach; /* end for each comment */ ?>

	</div>

 <?php else : // this is displayed if there are no comments so far ?>

  <?php if ('open' == $post->comment_status) : ?> 
		<!-- If comments are open, but there are no comments. -->
	<p><?php _e('No comments yet.'); ?></p>
	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments">Comments are closed.</p>

	<?php endif; ?>

	<p>
	<!-- ?php comments_rss_link(__('<abbr title="Really Simple Syndication">RSS</abbr> feed for comments on this post.')); ? --> 
	<?php if ( pings_open() ) : ?>
		<!-- a href="<?php trackback_url() ?>" rel="trackback"><?php _e('TrackBack <abbr title="Uniform Resource Identifier">URI</abbr>'); ?></a -->
	<?php endif; ?>
	</p>

<?php endif; ?>


<div id="commentform">

	<?php if ('open' == $post->comment_status) : ?>
	<h2>feel free to leave a comment</h2>

	<!-- registration required message -->
	<?php if ( get_option('comment_registration') && !$user_ID ) : ?>

		<p class="guidelines">You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">logged in</a> to post a comment.</p>
	
	<?php else : ?>

		<div class="spacer"><img src="images/spacer.gif" width="1" height="1" alt="" /></div>
		<p class="guidelines"><strong>Comment Guidelines:</strong> Basic XHTML is allowed (a href, strong, em, code). All line breaks and paragraphs are automatically generated. Off-topic or inappropriate comments will be edited or deleted. Email addresses will never be published. Keep it PG-13 people!</p>
		<p class="guidelines"><strong>XHTML:</strong> You can use these tags: <?php echo allowed_tags(); ?></p>
		<div class="spacer"><img src="images/spacer.gif" width="1" height="1" alt="" /></div>

		<p>All fields marked with " <span class="ostar">*</span> " are required.</p>

		<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="form">

	<?php if ( $user_ID ) : ?>

		<p class="guidelines">Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Log out of this account') ?>">Logout &raquo;</a></p>
		<label class="commentarea"><strong>Your comments:</strong> <span class="ostar">*</span><br /><textarea name="comment" id="comment" ></textarea></label>

		<label class="remember"><input type="checkbox" name="remember" /> Remember my information for the next time I visit.</label>
		
		<input type="submit" value="Submit" class="submit" id="submit" />
		<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
		
	<?php else : ?>

		<label class="name"><strong>Name:</strong> <span class="ostar">*</span><br /><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" /></label>
		<label class="email"><strong>Email </strong>(will never be displayed): <span class="ostar">*</span><br /><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" /></label>
		<label class="url"><strong>URL:</strong><br /><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" /></label>
		<label class="commentarea"><strong>Your comments:</strong> <span class="ostar">*</span><br /><textarea name="comment" id="comment" ></textarea></label>

		<label class="remember"><input type="checkbox" name="remember" /> Remember my information for the next time I visit.</label>
		
		<input type="submit" value="Submit" class="submit" id="submit" />
		<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
		

	<?php endif; ?>

	<?php do_action('comment_form', $post->ID); ?>
	</form>


	<?php endif; // If registration required and not logged in ?>

</div>

<?php endif; // if you delete this the sky will fall on your head ?>
