<?php get_header(); ?>

	<?php if (have_posts()) : ?>

		<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
			<?php /* If this is a category archive */ if (is_category()) { ?>
			<h1 class="pagetitle">Archive for '<?php echo single_cat_title(); ?>'</h1>

			<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
			<h1 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h1>

			<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
			<h1 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h1>

			<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
			<h1 class="pagetitle">Archive for <?php the_time('Y'); ?></h1>

			<?php /* If this is a search */ } elseif (is_search()) { ?>
			<h1 class="pagetitle">Search Results</h1>

			<?php /* If this is an author archive */ } elseif (is_author()) { ?>
			<h1 class="pagetitle">Author Archive</h1>

			<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
			<h1 class="pagetitle">Blog Archives</h1>

			<?php } ?>


		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
		</div>

		<?php while (have_posts()) : the_post(); ?>
		<!-- standard article format -->
		<div class="article">
			<h2><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			<p class="date"><?php the_time('F j, Y'); ?> | Author: <?php the_author() ?> | <?php _e("Filed under:"); ?> <?php the_category(',') ?></p>
			<?php the_excerpt_reloaded(60, '<a>', 'excerpt', FALSE, '', FALSE, FALSE, TRUE); ?>
			
			<div class="bottominfo"><ul><li class="comments"><a href="<?php comments_link('archive.php', TRUE); ?>" title="Leave a comment for <?php the_title()?>"><?php comments_number('Comments (0)','Comments (1)','Comments (%)'); ?></a></li><li class="link"><a href="<?php the_permalink(); ?>" title="<?php the_title() ?>">Permanent link</a></li></ul></div>
		</div>
		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
		</div>

	<?php else : ?>

		<h1 class="center">Archive Not Found</h1>

	<?php endif; ?>


<?php get_footer(); ?>