<?php get_header(); ?>

	<?php if (have_posts()) : ?>

		<h1>Search Results</h1>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
		</div>


		<?php while (have_posts()) : the_post(); ?>


			<!-- recent post format -->
			<div id="searchresult">
				<h1><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h1>
				<p class="date"><?php the_excerpt_reloaded(60, '<a>', 'excerpt', FALSE, '', FALSE, FALSE, TRUE); ?></p>
				<div class="searchinfo">
					<ul>
						<li><?php _e("Filed under:"); ?> <?php the_category(',') ?> | <?php edit_post_link('Edit', '', ' | '); ?>  <?php comments_popup_link('No Comments', '(1) Comment;', '(%) Comments'); ?></li>
					</ul>
				</div>
			</div>

		<?php endwhile; ?>

			<div class="navigation">
				<div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
				<div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
			</div>

		<?php else : ?>

			<h1>Search Results</h1>
			<p>No posts found. Please try a different search.</p>
		<?php endif; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
		</div>

<?php get_footer(); ?>